/**
 * goIRC (C)opyright 2007 Sebastian Kasparek
 *
 * application.cpp - commandline and settings reader and controller in mvc like architecture
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef APPLICATION_H
#define APPLICATION_H

#include <iostream>

#include <util/application.h>
#include <util/optionparser.h>
#include <util/settings.h>

#include <gui/window.h>

#include "defines.h"
#include "socket.h"

class App : public os::Application
{
public:
	App( os::OptionParser* pcOpts );
	void HandleMessage( os::Message* pcMessage );
private:
	os::String m_cNick;
	os::String m_cServer;
	int m_nPort;
	os::String m_cPassword;
	os::Window* m_pcMainWindow;
	os::Messenger m_cMessengerWindowMain;
	SocketThread* m_pcSocketThread;
	os::Messenger m_cMessengerSocket;
	os::Settings m_cSettings;
};

#endif

