/**
 * goIRC (C)opyright 2007 Sebastian Kasparek
 *
 * mainwindow.cpp - view component in the mvc like architecture
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <util/application.h>
#include <util/message.h>
#include <util/resources.h>

#include <gui/window.h>
#include <gui/layoutview.h>
#include <gui/menu.h>
#include <gui/button.h>
#include <gui/textview.h>
#include <gui/requesters.h>
#include <gui/image.h>

#include "defines.h"
#include "textinputview.h"
#include "socket.h"

class MainWindow : public os::Window
{
public:
	MainWindow();
	void HandleMessage( os::Message* );
private:

	#include "mainwindowLayout.h"

	os::Messenger m_cMessengerApplication;
	bool OkToQuit();
};

#endif

