/**
 * goIRC (C)opyright 2007 Sebastian Kasparek
 *
 * mainwindowLayout.cpp - widgets and their initialization
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

m_pcRoot = new os::VLayoutNode( "Root" );

m_pcMenuBar = new os::Menu( os::Rect(0,0,0,0), "MenuBar", os::ITEMS_IN_ROW );
m_pcMenuBar->SetFrame( os::Rect(0, 0, GetBounds().Width() + 1, m_pcMenuBar->GetPreferredSize(false).y + 1) );

m_pcMenuApplication = new os::Menu( os::Rect(0,0,0,0), "Application", os::ITEMS_IN_COLUMN );
m_pcMenuApplication->AddItem( "About...", new os::Message( M_APP_ABOUT ) );
m_pcMenuApplication->AddItem( new os::MenuSeparator() );
m_pcMenuApplication->AddItem( "Settings...", new os::Message( M_APP_SETTINGS ) );
m_pcMenuApplication->AddItem( new os::MenuSeparator() );
m_pcMenuApplication->AddItem( "Quit", new os::Message( M_APP_QUIT ), "CTRL+Q" );
// FIXME: the shortcut doesn't seem to be added automatically by the menu?
AddShortcut( os::ShortcutKey( "CTRL+Q" ), new os::Message( M_APP_QUIT ) );

m_pcMenuBar->AddItem( m_pcMenuApplication );
m_pcMenuBar->SetTargetForItems( this );

m_pcRoot->AddChild( m_pcMenuBar );

m_pcTextView = new os::TextView( os::Rect(), "TextView", "", os::CF_FOLLOW_ALL, os::WID_WILL_DRAW );
m_pcTextView->SetMultiLine( true );
m_pcTextView->SetReadOnly( true );
// m_pcTextView->MakeCsrVisible(); FIXME: doesn't do anything? I did expect it would make the cursor visible
m_pcRoot->AddChild( m_pcTextView, 1.000000 );

m_pcTextInputView = new TextInputView( os::Rect(), "TextInputView", "", this );
m_pcRoot->AddChild( m_pcTextInputView, 1.000000 );

