/**
 * goIRC (C)opyright 2007 Sebastian Kasparek
 *
 * settingsdialog.cpp - settings dialog combining mvc in one class
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <iostream>

#include <gui/window.h>
#include <gui/layoutview.h>
#include <gui/button.h>
#include <gui/stringview.h>
#include <gui/textview.h>
#include <gui/spinner.h>
#include <gui/separator.h>
#include <gui/image.h>

#include <util/message.h>
#include <util/resources.h>
#include <util/settings.h>

#include "messages.h"

class SettingsDialog : public os::Window
{
public:
	SettingsDialog();
	void HandleMessage( os::Message* pcMessage );
private:
	os::VLayoutNode* m_pcRoot;

	os::HLayoutNode* m_pcHLayoutServer;
	os::StringView* m_pcStringViewServer;
	os::HLayoutSpacer* m_pcHLayoutSpacerServer;
	os::TextView* m_pcTextViewServer;

	os::HLayoutNode* m_pcHLayoutNodePort;
	os::StringView* m_pcStringViewPort;
	os::HLayoutSpacer* m_pcHLayoutSpacerPort;
	os::Spinner* m_pcSpinnerPort;

	os::HLayoutNode* m_pcHLayoutNodeNick;
	os::StringView* m_pcStringViewNick;
	os::HLayoutSpacer* m_pcHLayoutSpacerNick;
	os::TextView* m_pcTextViewNick;

	os::HLayoutNode* m_pcHLayoutNodePassword;
	os::StringView* m_pcStringViewPassword;
	os::HLayoutSpacer* m_pcHLayoutSpacerPassword;
	os::TextView* m_pcTextViewPassword;
	
	os::VLayoutSpacer* m_pcVLayoutSpacerButtons;
	
	os::HLayoutNode* m_pcHLayoutNodeSeparator;
	os::Separator* m_pcSeparator;
	
	os::HLayoutNode* m_pcHLayoutNodeButtons;
	os::HLayoutSpacer* m_pcHLayoutSpacerPreButtons;
	os::Button* m_pcButtonOk;
	os::HLayoutSpacer* m_pcHLayoutSpacerButtons;
	os::Button* m_pcButtonCancel;

	bool OkToQuit();
};

#endif

