/**
 * goIRC (C)opyright 2007 Sebastian Kasparek
 *
 * textinputview.cpp - TextView extended to be usable as input line
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef TEXTINPUTVIEW_H
#define TEXTINPUTVIEW_H

#include <util/application.h>
#include <util/message.h>

#include <gui/textview.h>

#include "messages.h"

class TextInputView : public os::TextView {
	public:
		TextInputView( const os::Rect& cLayoutBounds, char* pzTitle, char* pzBuffer, os::Messenger cMessenger );
		void KeyDown( const char* cString, const char* cRawString, uint32 nQualifiers );
	private:
		os::Messenger m_cMessenger;
};

#endif

